VDrift - A Car Racing Simulator for Multiple Platforms
======================================================

VDrift is a cross-platform, open source driving simulation made with drift
racing in mind. It is released under the [GNU General Public License (GPL) v3](http://www.gnu.org/licenses/gpl-3.0.en.html).
It is currently available for FreeBSD, Linux, Mac OS X and Windows.

Mission Statement
-----------------

The goals of the VDrift project are:

- to be a high-quality, open source racing simulation featuring enjoyable and
  challenging gameplay;
- to take advantage of modern computing hardware to accurately simulate vehicle
  physics in rich and immersive racing environments; and
- to provide a platform for creative experimentation to a community of
  developers and artists.

![](vdrift/raw/2f19c79de4fac0c326fa099dba7d9f19362552d0/miura_vdrift_899.jpg)

Getting Started
---------------

**General**

-   [Official website](http://vdrift.net)
-   [About the project](docs/About_the_project.md)
-   [Authors and contributors](docs/Authors_and_contributors.md)
-   [License](LICENSE)
-   [Reporting problems](docs/Reporting_problems.md)
-   [Useful links](docs/Useful_links.md)

**Installation**

-   [Requirements](docs/Requirements.md)
-   [Downloading](docs/Downloading.md)
-   [Installing](docs/Installing.md)

**Configuration**

-   [Configuring the display](docs/Configuring_the_display.md)
-   [Configuring the sound](docs/Configuring_the_sound.md)
-   [Configuring the controls](docs/Configuring_the_controls.md)
-   [Logitech G25 support](docs/Logitech_G25_support.md)
-   [Setting up force feedback](docs/Setting_up_force_feedback.md)

**Playing**

-   [Replays](docs/Replays.md)
-   [Drifting techniques](docs/Drifting_techniques.md)
-   [Drift scoring](docs/Drift_scoring.md)

**Files**

-   [User settings directory](docs/User_settings_directory.md)
-   [Data directory](docs/Data_directory.md)
-   [VDrift.config](docs/VDrift_config.md)
-   [Adding video modes](docs/Adding_video_modes.md)
-   [options.config](docs/Options_config.md)
-   [Sound and graphics formats](docs/Sound_and_graphics_formats.md)
-   [JOE format](docs/JOE_format.md)
-   [JOEPack format](docs/JOEPack_format.md)
-   [Config file format](docs/Config_file_format.md)
-   [Menu file format](docs/Menu_system.md)

**Development**

-   [Getting the development version](docs/Getting_the_development_version.md)
-   [Working with the development version](docs/Working_with_the_development_version.md)
-   [Compiling](docs/Compiling.md)
-   [Packaging](docs/Packaging.md)
-   [Testing](docs/Testing.md)
-   [Debugging](docs/Debugging.md)
-   [Coding guidelines](docs/Coding_guidelines.md)
-   [Source code documentation](docs/Source_code_documentation.md)
-   [Numerical Integration](docs/Numerical_integration.md)

**Cars**

-   [Getting cars](docs/Getting_cars.md)
-   [Car files and formats](docs/Car_files_and_formats.md)
-   [Creating cars](docs/Creating_cars.md)
-   [Car parameters](docs/Car_parameters.md)
-   [Car graphics](docs/Car_graphics.md)
-   [Car sounds](docs/Car_sounds.md)
-   [3D modeling](docs/3D_modeling.md)

**Tracks**

-   [Getting tracks](docs/Getting_tracks.md)
-   [Track files and formats](docs/Track_files_and_formats.md)
-   [Creating tracks](docs/Creating_tracks.md)
-   [Importing Racer tracks](docs/Importing_Racer_tracks.md)
